<?php
/*
Plugin Name: Random jQuery
Plugin URI: http://alexmansfield.com/hacks/wordpress-cdns-and-jquery
Description: Loads a random version of jQuery from Google's CDN.
Author: Alex Mansfield
Author URI: http://alexmansfield.com
Version: 0.1
License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/

function random_jquery() {
	if (!is_admin()) {
		$versions = array( '1.9.1', '1.9.0', '1.8.3', '1.8.2', '1.8.1', '1.8.0', '1.7.2', '1.7.1', '1.7.0', '1.6.4', '1.6.3', '1.6.2', '1.6.1', '1.6.0', '1.5.2', '1.5.1', '1.5.0', '1.4.4', '1.4.3', '1.4.2', '1.4.1', '1.4.0', '1.3.2', '1.3.1', '1.3.0', '1.2.6', '1.2.3' );
		$use_version = array_rand($versions, 1);
		wp_deregister_script('jquery');
		wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/' . $versions[$use_version] . '/jquery.min.js', false, $versions[$use_version]);
		wp_enqueue_script('jquery');
	}
}
add_action('wp_enqueue_scripts', 'random_jquery');
